(function($) {

	$('#home-slides').slick({
	  slidesToShow: 1,
		arrows: false,
		autoplay: true,
  	autoplaySpeed: 4000,
		fade: true
	});

  /* Cookie Bar Code */
  $.cookieBar({
    fixed: true,
    acceptButton: 'I understand',
    declineButton: false,
    policyButton: true,
    policyText: 'See Privacy Policy',
    expireDays: 7
  });

  /* Deals */
  $('.deal-fancybox').on('click', function() {
    var post_link = $(this).attr("rel");
    $.fancybox({
      width: '60%',
      height: '80%',
      autoSize: false,
      openEffect: 'elastic',
      closeEffect: 'elastic',
      padding: 30,
      margin: 0,
      href: post_link,
      type: 'ajax'
    });
  });

  // Initialize the Lightbox for any links with the 'fancybox' class
  $(".fancybox").fancybox();

  // Initialize the Lightbox automatically for any links to images with extensions .jpg, .jpeg, .png or .gif
  $("a[href$='.jpg'], a[href$='.png'], a[href$='.jpeg'], a[href$='.gif']").fancybox();

  // Initialize the Lightbox and add rel="gallery" to all gallery images when the gallery is set up using [gallery link="file"] so that a Lightbox Gallery exists
  $(".gallery a[href$='.jpg'], .gallery a[href$='.png'], .gallery a[href$='.jpeg'], .gallery a[href$='.gif']").attr('rel', 'gallery').fancybox();

  // Initalize the Lightbox for any links with the 'video' class and provide improved video embed support
  $(".video").fancybox({
    maxWidth: 800,
    maxHeight: 600,
    fitToView: false,
    width: '70%',
    height: '70%',
    autoSize: false,
    closeClick: false,
    openEffect: 'none',
    closeEffect: 'none'
  });

  $('.menu-icon').click(function(event) {
		$(this).toggleClass('active');
    $('.main-navigation').toggleClass('show-menu');
  });

  // init Isotope
  var $container = $('.deals-container').isotope({
    itemSelector: '.block'
  });

  // store filter for each group
  var filters = {};

  $('.filter-master').on('click', '.filter-button', function() {
    if ($('.filter-item .all').hasClass('current')) {
      $('.filter-item .all').removeClass('current');
    }
    var $this = $(this);
    // get group key
    var $buttonGroup = $this.parents('.filter-button-group');
    var filterGroup = $buttonGroup.attr('data-filter-group');
    // set filter for group
    filters[filterGroup] = $this.attr('data-filter');
    // combine filters
    var filterValue = '';
    for (var prop in filters) {
      filterValue += filters[prop];
    }
    // set filter for Isotope
    $container.isotope({
      filter: filterValue
    });
  });

  // change is-checked class on buttons
  $('.filter-button-group').each(function(i, buttonGroup) {
    var $buttonGroup = $(buttonGroup);
    $buttonGroup.on('click', '.filter-button', function() {
      $buttonGroup.find('.current').removeClass('current');
      $(this).addClass('current');
			$(this).parents('.filter-item').addClass('current');
    });
  });

  $('.filter-item .all').click(function() {
    $('.filter-master .current').removeClass('current');
    $('.filter-item .default').addClass('current');
    $('.filter-item .all').addClass('current');
    var selector = $('.filter-item .all').attr('data-filter');
    $container.isotope({
      filter: selector,
      animationOptions: {
        duration: 750,
        easing: 'linear',
        queue: false
      },
      itemSelector: '.block',
      layoutMode: 'masonry',

    });
    return false;
  });

	$(".tabs-content").hide(); //Hide all content
	$(".tabs-nav li:first").addClass("active").show(); //Activate first tab
	$(".tabs-content:first").show(); //Show first tab content

	//On Click Event
	$(".tabs-nav li").click(function() {
		$(".tabs-nav li").removeClass("active");
		$(this).addClass("active");
		$(".tabs-content").hide();
		var activeTab = $(this).attr("data-tab");
		$('#'+activeTab).fadeIn();
		return false;
	});

  // Add smooth scrolling to all links
  $("a").on('click', function(event) {

    // Make sure this.hash has a value before overriding default behavior
    if (this.hash !== "") {
      // Prevent default anchor click behavior
      event.preventDefault();

      // Store hash
      var hash = this.hash;

      // Using jQuery's animate() method to add smooth page scroll
      // The optional number (800) specifies the number of milliseconds it takes to scroll to the specified area
      $('html, body').animate({
        scrollTop: $(hash).offset().top
      }, 1000, function(){

        // Add hash (#) to URL when done scrolling (default click behavior)
        window.location.hash = hash;
      });
    } // End if
  });

})(jQuery);
